/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-16-2011 09:08:46pm
Filepath: scripts\_custom\mlpackage\Engines\Community Collections\Vesper Museum\Rewards\TyballsHat.cs
Lines of code: 36
***********************************************************/


using Server;
using System;

namespace Server.Items
{	
	
	public class TyballsHat : WizardsHat
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public TyballsHat() : base()
		{
			Name="Tyball's Hat";
			Hue=1157;


			Attributes.BonusMana= 8;
			Attributes.CastRecovery=3;
			Attributes.LowerManaCost= 10;
			Attributes.SpellDamage=12;
			
			
			
			Resistances.Cold = 6;
			Resistances.Energy = 10;
			Resistances.Physical = 15;
		}
		

		

		public TyballsHat( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 3 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
    	}		
	}
	
}